package cz.muni.cv5themesstyles;

import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.view.animation.Animation;
import android.view.animation.AnimationUtils;
import android.widget.CheckedTextView;
import android.widget.TextView;

public class MainActivity extends AppCompatActivity {

	TextView textView;
	CheckedTextView checkTextView;
	Animation pulse;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);

		textView = (TextView) findViewById(R.id.textView);
 		pulse = AnimationUtils.loadAnimation(this, R.anim.pulse);

		textView.setOnClickListener(new View.OnClickListener() {
			@Override public void onClick(View v) {
				textView.startAnimation(pulse);
			}
		});
	}
}
